Subject: bug#52751: 27.1; Go back to editing the from part in query replace

From: Juri Linkov <[email-masked]>
Date: Sun, 26 Dec 2021 09:49:09 +0200

> The FROM value is stored in history even if you abort the query and
> replace without completing it:
>
> emacs -Q
> M-% foo RET
> C-g
> M-% M-p (this should recover "foo").
>
> There's room for improvement, though.  If there are complete query
> replace items of the form FROM -> TO, then they are placed before the
> FROM entries in the history.  Perhaps there should be a mechanism to
> recover those FROM entries from history more quickly.

The problem is that when reading the TO field was not interrupted,
then it's much more preferable to show complete replacement pairs
FROM -> TO on M-p, instead of a single FROM value.